
Redmine - Patch #3477

Fix access handler to remove the need for a separate svn-private/git-private

2009-06-10 21:54 - Faidon Liambotis

Status: New Start date: 2009-06-10

Priority: Normal Due date:  

Assignee:  % Done: 90%

Category: SCM extra Estimated time: 0.00 hour

Target version:    

Description

The attached patch "fixes" the Apache access handler to accomodate for Apache's "Satisfy any" option.

Using this, I've successfully served (non-public) projects with authentication to members but no authentication to Redmine's browser.

I've updated the sample Apache configuration, it should be quite straightforward.

History

#1 - 2010-11-16 15:02 - Faidon Liambotis

- % Done changed from 0 to 90

Ping? I've verified that the patch applies in current trunk.

#2 - 2011-03-23 09:41 - Toshi MARUYAMA

- Category set to SCM

#3 - 2011-03-24 07:38 - Toshi MARUYAMA

- Category changed from SCM to SCM extra

Files

no-need-for-svn-private.diff 2.31 KB 2009-06-10 Faidon Liambotis
